GBNLPROBIT(1)

NAME
gbnlprobit - Non linear probit regression

SYNOPSIS
gbnlprobit [options] <function definition>

DESCRIPTION
Non linear probit estimation. Minimize the negative log-likelihood

    sum_{i in N_0} log(1-F(g(X_i))) + sum_{i in N_1} log(F(g(X_i)))

where N_0 and N_1 are the sets of 0 and 1 observations, g is a generic function of the independent variables and F is the normal CDF. It is also possible to minimize the score function

w_0 sum_{i in N_0} theta(F(g(X_i))-t) +

    w_1 sum_{i in N_1} theta(t-F(g(X_i)))

where theta is the Heaviside function and t a threshold level. Weights w_0 and w_1 scale the contribution of the two subpopulations. The first column of data contains 0/1 entries. Successive columns are independent variables. The model is specified by a function g(x1,x2...) where x1,.. stands for the first,second .. N-th column independent variables.

  options:

-O  type of output (default 0)

0   parameters

1   parameters and errors

2   <variables> and probabilities

3   parameters and variance matrix

4   marginal effects

-V  variance matrix estimation (default 0)

0   <gradF gradF^t>

1   < J^{-1} >

2   < H^{-1} >

3   < H^{-1} J H^{-1} >

-z  take zscore (not of 0/1 dummies)

-F  input fields separators (default " \t")

-v  verbosity level (default 0)

0   just results

1   comment headers

2   summary statistics

3   covariance matrix

4   minimization steps (default 10)

5   model definition

-g  set number of point for global optimal threshold identification

-h  this help

-t  set threshold value (default 0)

0   ignore threshold

(0,1)
    user provided threshold

1   compute optimal only global

2   compute optimal

-M  estimation method

0   maximum likelihood

1   min. score (w0=w1=1)

2   min. score (w0=1/N0, w1=1/N1)

-A  MLL optimization options (default 0.01,0.1,100,1e-6,1e-6,5) fields are step,tol,iter,eps,msize,algo. Empty fields for default

step
    initial step size of the searching algorithm

tol line search tolerance iter: maximum number of iterations

eps gradient tolerance : stopping criteria ||gradient||<eps

algo
    optimization methods: 0 Fletcher-Reeves, 1 Polak-Ribiere, 2 Broyden-Fletcher-Goldfarb-Shanno, 3 Steepest descent, 4 simplex

-B  score optimization options (default 0.1,100,1e-6) fields are step,iter,msize. Empty fields for default

step
    initial step size of the searching algorithm

iter
    maximum number of iterations

msize
    max size, stopping criteria simplex dim. <max size optimization method is simplex

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.